## com.google.common.base
Class Charsets

    java.lang.Object
      com.google.common.base.Charsets

    @GwtCompatible(emulated=true)
    public final class Charsets

extends Object

Contains constant definitions for the six standard `Charset` instances, which are guaranteed to be supported by all Java platform implementations.

Assuming you're free to choose, note that `UTF_8` is widely preferred.

See the Guava User Guide article on `Charsets`.

Since:
  1.0
Author:
  Mike Bostock

Field Summary
`static Charset` `ISO_8859_1` ISO-8859-1: ISO Latin Alphabet Number 1 (ISO-LATIN-1).
`static Charset` `US_ASCII` US-ASCII: seven-bit ASCII, the Basic Latin block of the Unicode character set (ISO646-US).
`static Charset` `UTF_16` UTF-16: sixteen-bit UCS Transformation Format, byte order identified by an optional byte-order mark.
`static Charset` `UTF_16BE` UTF-16BE: sixteen-bit UCS Transformation Format, big-endian byte order.
`static Charset` `UTF_16LE` UTF-16LE: sixteen-bit UCS Transformation Format, little-endian byte order.
`static Charset` `UTF_8` UTF-8: eight-bit UCS Transformation Format.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### US_ASCII

    @GwtIncompatible(value="Non-UTF-8 Charset")
    public static final Charset US_ASCII

  US-ASCII: seven-bit ASCII, the Basic Latin block of the Unicode character set (ISO646-US).

### ISO_8859_1

    @GwtIncompatible(value="Non-UTF-8 Charset")
    public static final Charset ISO_8859_1

  ISO-8859-1: ISO Latin Alphabet Number 1 (ISO-LATIN-1).

### UTF_8

    public static final Charset UTF_8

  UTF-8: eight-bit UCS Transformation Format.

### UTF_16BE

    @GwtIncompatible(value="Non-UTF-8 Charset")
    public static final Charset UTF_16BE

  UTF-16BE: sixteen-bit UCS Transformation Format, big-endian byte order.

### UTF_16LE

    @GwtIncompatible(value="Non-UTF-8 Charset")
    public static final Charset UTF_16LE

  UTF-16LE: sixteen-bit UCS Transformation Format, little-endian byte order.

### UTF_16

    @GwtIncompatible(value="Non-UTF-8 Charset")
    public static final Charset UTF_16

  UTF-16: sixteen-bit UCS Transformation Format, byte order identified by an optional byte-order mark.

Copyright © 2010-2012. All Rights Reserved.